Bug 9736 - Change to smbd/dir.c code gives significant performance increases on large directory listings.
Change to smbd/dir.c code gives significant performance increases on large di...
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-22 19:48 UTC by Jeremy Allison
Modified: 2013-04-08 07:35 UTC (History)
0 users

See Also:


Attachments
git-am fix pushed to master (2.45 KB, patch)
2013-03-22 19:48 UTC, Jeremy Allison
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2013-03-22 19:48:38 UTC
Created attachment 8676 [details]
git-am fix pushed to master

Posted to samba-technical by Volker.

Hi!

Attached find a patch that makes trans2_findfirst take 10%
less user-space CPU. If someone has the time, can you try to
verify this improvement and push?

Thanks,

Volker
Comment 1 Jeremy Allison 2013-03-22 19:49:41 UTC
This has been verified on my computer and already has 2 engineer review (vl - the author and jra).

Patch applies cleanly to 4.0.next and 3.6.next.

Re-assigning to Karolin for inclusion.

Jeremy.
Comment 2 Karolin Seeger 2013-04-07 19:54:21 UTC
Pushed to v3-6-test and autobuild-v4-0-test.
Comment 3 Karolin Seeger 2013-04-08 07:35:09 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!